glibmm: Gio::Emblem Class Reference

glibmm 2.42.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::Emblem Class Reference

An object for emblems. More...

`#include <giomm/emblem.h>`

Inheritance diagram for Gio::Emblem:
[legend]

## Public Member Functions
virtual | ~Emblem ()
GEmblem* | gobj ()
| Provides access to the underlying C GObject. More...
const GEmblem* | gobj () const
| Provides access to the underlying C GObject. More...
GEmblem* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Icon > | get_icon ()
| Gives back the icon from emblem. More...
Glib::RefPtr< const Icon > | get_icon () const
| Gives back the icon from emblem. More...
EmblemOrigin | get_origin () const
| Gets the origin of the emblem. More...
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from Gio::Icon
virtual | ~Icon ()
GIcon* | gobj ()
| Provides access to the underlying C GObject. More...
const GIcon* | gobj () const
| Provides access to the underlying C GObject. More...
guint | hash () const
| Gets a hash for an icon. More...
std::string | to_string () const
| Generates a textual representation of icon that can be used for serialization such as when passing icon to a different process or saving it to persistent storage. More...
bool | equal (const Glib::RefPtr< Icon >& other) const
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Emblem > | create (const Glib::RefPtr< Icon >& icon)
| Creates a new emblem for icon. More...
static Glib::RefPtr< Emblem > | create (const Glib::RefPtr< Icon >& icon, EmblemOrigin origin)
| Creates a new emblem for icon. More...
Static Public Member Functions inherited from Gio::Icon
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Icon > | create (const std::string& str)

## Protected Member Functions
| Emblem (const Glib::RefPtr< Icon >& icon)
| Creates a new emblem for icon. More...
| Emblem (const Glib::RefPtr< Icon >& icon, EmblemOrigin origin)
| Creates a new emblem for icon. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)
Protected Member Functions inherited from Gio::Icon
| Icon ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::Emblem > | wrap (GEmblem* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::Icon
Glib::RefPtr< Gio::Icon > | wrap (GIcon* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

An object for emblems.

Emblem is an implementation of GIcon that supports having an emblem, which is an icon with additional properties. It can than be added to a EmblemedIcon.

Currently, only metainformation about the emblem's origin is supported. More may be added in the future.

Since glibmm 2.20:

## Constructor & Destructor Documentation

virtual Gio::Emblem::~Emblem | ( |  | ) |
| virtual

Gio::Emblem::Emblem | ( | const Glib::RefPtr< Icon >& | icon | ) |
| explicitprotected

Creates a new emblem for icon.

Parameters

  icon | A Gio::Icon containing the icon.

Gio::Emblem::Emblem | ( | const Glib::RefPtr< Icon >& | icon,
|  | EmblemOrigin | origin
| ) |  |
| explicitprotected

Creates a new emblem for icon.

Parameters

  icon | A Gio::Icon containing the icon.
  origin | An EmblemOrigin value defining the emblem's origin

## Member Function Documentation

static Glib::RefPtr<Emblem> Gio::Emblem::create | ( | const Glib::RefPtr< Icon >& | icon | ) |
| static

Creates a new emblem for icon.

Parameters

  icon | A Gio::Icon containing the icon.

static Glib::RefPtr<Emblem> Gio::Emblem::create | ( | const Glib::RefPtr< Icon >& | icon,
|  | EmblemOrigin | origin
| ) |  |
| static

Creates a new emblem for icon.

Parameters

  icon | A Gio::Icon containing the icon.
  origin | An EmblemOrigin value defining the emblem's origin

Glib::RefPtr<Icon> Gio::Emblem::get_icon | ( |  | ) |

Gives back the icon from emblem.

Since glibmm 2.18:

Returns
  A Icon. The returned object belongs to the emblem and should not be modified or freed.

Glib::RefPtr<const Icon> Gio::Emblem::get_icon | ( |  | ) | const

Gives back the icon from emblem.

Since glibmm 2.18:

Returns
  A Icon. The returned object belongs to the emblem and should not be modified or freed.

EmblemOrigin Gio::Emblem::get_origin | ( |  | ) | const

Gets the origin of the emblem.

Since glibmm 2.18:

Returns
  The origin of the emblem.

static GType Gio::Emblem::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GEmblem* Gio::Emblem::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GEmblem* Gio::Emblem::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GEmblem* Gio::Emblem::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::Emblem > wrap | ( | GEmblem * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.